"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
function createConsumer(Consumer, context) {
    /**
     * SrimerConsumer.
     */
    return /** @class */ (function (_super) {
        tslib_1.__extends(SrimmerConsumer, _super);
        /**
         * initialize bitmask.
         */
        function SrimmerConsumer(props) {
            var _this = _super.call(this, props) || this;
            context.register(props.select);
            return _this;
        }
        /**
         * rednder.
         */
        SrimmerConsumer.prototype.render = function () {
            var _a = this.props, select = _a.select, children = _a.children;
            var bit = context.getBitState(select);
            return (react_1.default.createElement(Consumer, { unstable_observedBits: bit.bit }, function (state) { return children(bit.state = select(state)); }));
        };
        return SrimmerConsumer;
    }(react_1.default.Component));
}
exports.createConsumer = createConsumer;
;
//# sourceMappingURL=Consumer.js.map