import React from 'react';
import { Context, Select } from './Context';
export declare type ConsumerProps<State, T = any> = {
    select: Select<State, T>;
    children: (selected: T) => React.ReactNode;
};
export declare type ConsumerState = {
    bit: number;
};
export declare function createConsumer<State>(Consumer: React.Consumer<State>, context: Context<State>): {
    new <T>(props: ConsumerProps<State, any>): {
        /**
         * rednder.
         */
        render(): JSX.Element;
        setState<K extends "bit">(state: ConsumerState | ((prevState: Readonly<ConsumerState>, props: Readonly<ConsumerProps<State, T>>) => ConsumerState | Pick<ConsumerState, K> | null) | Pick<ConsumerState, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<ConsumerProps<State, T>>;
        state: Readonly<ConsumerState>;
        context: any;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
};
